com.io7m.jcanephora.fake

## Class FakeProgramAttribute

- java.lang.Object
- - com.io7m.jcanephora.fake.FakeProgramAttribute

- All Implemented Interfaces:
    JCGLNamedType, JCGLProgramAttributeType, JCGLResourceUsableType

      public final class FakeProgramAttribute
      extends Object
      implements JCGLProgramAttributeType

  A fake implementation of program attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FakeProgramAttribute(FakeContext in_context, JCGLProgramShaderUsableType in_program, int in_location, String in_name, JCGLType in_type)` Construct an attribute.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FakeContext` | `getContext()`
    `int` | `getGLName()`
    `String` | `getName()`
    `JCGLProgramShaderUsableType` | `getProgram()`
    `JCGLType` | `getType()`
    `boolean` | `isDeleted()`
    `protected void` | `setDeleted()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FakeProgramAttribute

          public FakeProgramAttribute(FakeContext in_context,
                                      JCGLProgramShaderUsableType in_program,
                                      int in_location,
                                      String in_name,
                                      JCGLType in_type)

      Construct an attribute.
      Parameters:
        `in_context` - The context
        `in_program` - The owning program
        `in_location` - The attribute location
        `in_name` - The attribute name
        `in_type` - The attribute type

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `JCGLProgramAttributeType`
      Returns:
        The name of the attribute. This is the name of the attribute as declared in the respective shading program.

    - #### getProgram

          public JCGLProgramShaderUsableType getProgram()

      Specified by:
        `getProgram` in interface `JCGLProgramAttributeType`
      Returns:
        A reference to the program that owns the attribute.

    - #### getType

          public JCGLType getType()

      Specified by:
        `getType` in interface `JCGLProgramAttributeType`
      Returns:
        The OpenGL type of the attribute.

    - #### getGLName

          public int getGLName()

      Specified by:
        `getGLName` in interface `JCGLNamedType`
      Returns:
        The raw OpenGL 'name' of the object.

    - #### getContext

          protected final FakeContext getContext()

    - #### isDeleted

          public final boolean isDeleted()

      Specified by:
        `isDeleted` in interface `JCGLResourceUsableType`
      Returns:
        `true` iff the given resource has been deleted.

    - #### setDeleted

          protected final void setDeleted()

Copyright © 2016 <code@io7m.com> http://io7m.com